#

API Docs for: v3.16.0-alpha.2
Show: Inherited Protected Private Deprecated

# InternalModelMap Class

Defined in: `../store/addon/-private/system/internal-model-map.ts:9`
Module: @ember-data/store

`InternalModelMap` is a custom storage map for internalModels of a given modelName used by `IdentityMap`.

It was extracted from an implicit pojo based "internalModel map" and preserves that interface while we work towards a more official API.

- Index
- Methods
- Properties

## Item Index

### Methods

- clear
- get

### Properties

- metadata
- models

## Methods

### `clear`

()

Defined in `../store/addon/-private/system/internal-model-map.ts:111`

Destroy all models in the internalModelTest and wipe metadata.

### `get`

(

- `id`

)
InternalModel

Defined in `../store/addon/-private/system/internal-model-map.ts:26`

#### Parameters:

- `id` String

#### Returns:

InternalModel:

## Properties

### `metadata`

Object

Defined in `../store/addon/-private/system/internal-model-map.ts:102`

meta information about internalModels

### `models`

Array

Defined in `../store/addon/-private/system/internal-model-map.ts:93`

An array of all models of this modelName